com.mapinfo.midev.geometry.operations

## Class ClosestPoints

- java.lang.Object
- - com.mapinfo.midev.geometry.operations.ClosestPoints

    public final class ClosestPoints
    extends Object

Represents the closest points between two given geometries.

### Method Summary

All Methods Instance Methods Concrete Methods
`IFeatureGeometry` `asFeatureGeometry()` Returns a geometry from the first point to the second point.
`Length` `getDistance()` Returns the distance of the two points.
`IPoint` `getFirstPoint()` Returns the closest point on the first geometry.
`IPoint` `getSecondPoint()` Returns the closest point on the second geometry.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getFirstPoint

    public IPoint getFirstPoint()

Returns the closest point on the first geometry.

Returns:
  IPoint the point on the first geometry.

#### getSecondPoint

    public IPoint getSecondPoint()

Returns the closest point on the second geometry.

Returns:
  IPoint the point on the second geometry.

#### getDistance

    public Length getDistance()

Returns the distance of the two points.

Returns:
  the distance of the two points.

#### asFeatureGeometry

    public IFeatureGeometry asFeatureGeometry()

Returns a geometry from the first point to the second point.

Returns:
  a geometry from the first point to the second point.